Bug 800145 - Manifest import needs to be smarter about product attribute copying
Manifest import needs to be smarter about product attribute copying
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryan Kearney
Tazim Kolhar
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-03-05 15:19 EST by James Bowes
Modified: 2016-04-25 20:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tkolhar: needinfo+


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2012-03-05 15:19:16 EST
When you do a manifest import that updates existing products, if the product has modified attributes, those attributes should be copied onto all pools of all orgs that reference that product as their toplevel product (and then any related entitlements need to be regenerated)
Comment 2 James Bowes 2012-10-10 10:32:49 EDT
Fixed in candlepin master, 0ceb1369
Will be in candlepin 0.7.13
Comment 4 Tazim Kolhar 2012-11-27 00:01:40 EST
Hi all,
Please provide the verification steps to complete the testing. thanks
Comment 5 Devan Goodwin 2012-12-03 09:55:54 EST
I think it's safe to assume this cannot be QE tested. The steps to reproduce would involve creating custom products and subscriptions in two orgs each using the same custom product, generating manifests for each org, importing each on same candlepin downstream, going back upstream and then changing the attributes on the custom product, generating a new manifest in either org, importing it again downstream, and verifying that the changed attributes are applied to both orgs downstream, not just the one that did the import.

James' actual code went in commit 18f3dd2dd5b62c97bded834efe7dcd8c1f8db965, and looks to contain very good test coverage.
Comment 6 Tazim Kolhar 2012-12-03 10:39:37 EST
Verified by developers.
Comment 10 errata-xmlrpc 2013-02-21 14:15:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.